summaryrefslogtreecommitdiffstats
path: root/scripts/windows-container/in-container-build.sh
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2018-10-06 10:11:15 +0200
committerGravatar Dirk Hohndel <dirk@hohndel.org>2018-10-07 14:00:45 -0700
commit450f654063cbbffe7b58e0b785ef8970a0be41ea (patch)
tree5295dbd03a6fb7faee6759b3e9ec288063b0b4de /scripts/windows-container/in-container-build.sh
parent6b9e77ba01472070dd1ac9b87c9dcb068c49b852 (diff)
downloadsubsurface-450f654063cbbffe7b58e0b785ef8970a0be41ea.tar.gz
Travis: add Windows build in a container
I expect this to become the default way to test Windows builds and create installers on Travis. The idea is that instead of downloading the pre-built MXE binaries we might as well use a container that has all this installed and can be used locally to test if things fail on Travis; which will allow us to have the exact same environment for testing locally as runs on Travis. At this point the container used is way too big - more effort needs to be spent on shrinking it. Right now this only deals with Subsurface and not with smtk2ssrf. Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'scripts/windows-container/in-container-build.sh')
-rw-r--r--scripts/windows-container/in-container-build.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/windows-container/in-container-build.sh b/scripts/windows-container/in-container-build.sh
new file mode 100644
index 000000000..ca5e15b08
--- /dev/null
+++ b/scripts/windows-container/in-container-build.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+# this gets executed inside the container when building a Windows
+# installer on Travis
+#
+# working directory is assumed to be the directory including all the
+# source directories (subsurface, googlemaps, grantlee, etc)
+# in order to be compatible with the assumed layout in the MXE script, we
+# need to create the secondary build directory
+
+set -x
+set -e
+
+mkdir -p win32
+cd win32
+bash -ex ../subsurface/packaging/windows/mxe-based-build.sh installer
+
+# re-enable this when smtk2ssrf is figured out
+#bash -ex ${TRAVIS_BUILD_DIR}/packaging/windows/smtk2ssrf-mxe-build.sh -i